lash-devel-0.5.4-242.13.x86_64.rpm


Advertisement

Description

lash-devel - Development package for LASH

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Libs all
Package filename lash-devel-0.5.4-242.13.x86_64.rpm
Package name lash-devel
Package version 0.5.4
Package release 242.13
Package architecture x86_64
Package type rpm
Category Development/Libraries/C and C++
Homepage http://git.savannah.gnu.org/cgit/lash.git
License GPL-2.0+
Maintainer -
Download size 12.81 KB
Installed size 14.14 KB
This package contains the development files for the LASH system.
Authors:
--------
Bob Ham <node@users.sourceforge.net>
Dave Robillard <drobilla@connect.carelton.ca>

Alternatives

Package Version Architecture Repository
lash-devel-0.5.4-242.13.i586.rpm 0.5.4 i586 Multimedia Libs
lash-devel-0.5.4-28.21.i586.rpm 0.5.4 i586 Packman
lash-devel-0.5.4-28.21.x86_64.rpm 0.5.4 x86_64 Packman
lash-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
glibc-devel -
liblash1 = 0.5.4
libuuid-devel -
pkgconfig(alsa) -
pkgconfig(jack) -
readline-devel -

Provides

Name Value
lash-devel = 0.5.4-242.13
lash-devel(x86-64) = 0.5.4-242.13
pkgconfig(lash-1.0) = 0.5.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package lash-devel-0.5.4-242.13.x86_64.rpm
Source Package lash-0.5.4-242.13.src.rpm

Install Howto

  1. Add the Multimedia Libs repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/libs/openSUSE_Tumbleweed/ multimedia-libs
  2. Install lash-devel rpm package:
    # zypper install lash-devel

Files

Path
/usr/include/lash-1.0/
/usr/include/lash-1.0/lash/client_interface.h
/usr/include/lash-1.0/lash/config.h
/usr/include/lash-1.0/lash/event.h
/usr/include/lash-1.0/lash/lash.h
/usr/include/lash-1.0/lash/protocol.h
/usr/include/lash-1.0/lash/types.h
/usr/lib64/liblash.so
/usr/lib64/pkgconfig/lash-1.0.pc

Changelog

2015-08-11 - idonmez@suse.com
- Add baselibs.conf as source
2015-08-11 - dimstar@opensuse.org
- Add lash-glibc-2.22.patch: Fix build with glibc 2.22. getattrinfo
is now only declared in _POSIX_C_SOURCE >= 200112L.
2012-07-29 - aj@suse.de
- Add missing sys/resource.h include (glibc 2.16)
2011-11-13 - coolo@suse.com
- add libtool as explicit buildrequire to avoid implicit dependency from prjconf
2011-09-19 - crrodriguez@opensuse.org
- Link with libm as well.
2011-05-26 - idonmez@novell.com
- Add lash-swig-2x.patch: support swig 2.x
2011-05-01 - toddrme2178@gmail.com
- Added 32bit compatibility libraries
- Removed test for obsolete openSUSE versions
2010-09-12 - stephan.barth@novell.com
- update to version 0.5.4 which contains a lot of changes
- reworked the spec file to remove all warnings
- added version specific datadir tags
- added python package
- needed to create links for liblash.so.2 for downward compatibility
- removed obsolete lash-nogtk1.diff which was there for GTK1
- removed now obsolete lash-automake-fix.diff
2009-06-29 - tiwai@suse.de
- fix buildrequires to use libjack-devel
- fix URL
2009-03-23 - crrodriguez@suse.de
- remove static libraries and "la" files
- fix -devel package dependencies and pkgconfig files

See Also

Package Description
lcms-1.19-25.23.i586.rpm Utilities for the Little CMS Engine
lcms-1.19-25.23.x86_64.rpm Utilities for the Little CMS Engine
lcms2-2.9-80.8.i586.rpm Little CMS Engine - A color managment library and tools
lcms2-2.9-80.8.x86_64.rpm Little CMS Engine - A color managment library and tools
ld10k1-0.1.8p1-115.1.i586.rpm Emu10k1 patch loader for ALSA
ld10k1-0.1.8p1-115.1.x86_64.rpm Emu10k1 patch loader for ALSA
ld10k1-devel-0.1.8p1-115.1.i586.rpm Header files for the Emu10k1 patch loader
ld10k1-devel-0.1.8p1-115.1.x86_64.rpm Header files for the Emu10k1 patch loader
ldacBT-devel-2.0.2.3-7.1.i586.rpm Development files for ldacBT
ldacBT-devel-2.0.2.3-7.1.x86_64.rpm Development files for ldacBT
libEMF-devel-1.0.7-328.40.i586.rpm Library for manipulation with Enhanced MetaFile (EMF, ECMA-234)
libEMF-devel-1.0.7-328.40.x86_64.rpm Library for manipulation with Enhanced MetaFile (EMF, ECMA-234)
libEMF-utils-1.0.7-328.40.i586.rpm Library for manipulation with Enhanced MetaFile (EMF, ECMA-234)
libEMF-utils-1.0.7-328.40.x86_64.rpm Library for manipulation with Enhanced MetaFile (EMF, ECMA-234)
libEMF1-1.0.7-328.40.i586.rpm Library for manipulation with Enhanced MetaFile (EMF, ECMA-234)
Advertisement
Advertisement